Bug 510603 - Kernel hangs when closing serial port (pl2303 serial USB adapter)
Kernel hangs when closing serial port (pl2303 serial USB adapter)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-09 16:53 EDT by Helge Deller
Modified: 2010-06-28 09:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:32:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Helge Deller 2009-07-09 16:53:22 EDT
Description of problem:
I've an pl2303 USB adapter (it provides a serial port).
Running minicom works fine, but sometimes when closing minicom, the application just hangs. The process can't even be killed (kill -9), nor does Control-Z works on the console.

An "echo t > /proc/sysrq-trigger" shows this backtrace:

minicom       D ffff88004cc05ca8     0  4272   4222                       
 ffff88004cc05c98 0000000000000082 ffff88004cc05c18 ffff88006d1d2b40      
 ffff88006dc0a800 ffffffff81782380 ffff880062040368 ffff880062040368      
 ffffffff81782380 00000000fffffffe ffffffff81584360 ffff880062040000      
Call Trace:                                                               
 [<ffffffff81029f7f>] ? default_spin_lock_flags+0x9/0xe                   
 [<ffffffff812a0863>] usb_kill_urb+0xb3/0xd1                              
 [<ffffffff8105c8d7>] ? autoremove_wake_function+0x0/0x39                 
 [<ffffffffa00d173a>] pl2303_close+0x1b5/0x205 [pl2303]                   
 [<ffffffff8104057d>] ? default_wake_function+0x0/0x14                    
 [<ffffffffa00facd4>] serial_close+0x9d/0x156 [usbserial]                 
 [<ffffffff8122c3d2>] tty_release_dev+0x198/0x49a                         
 [<ffffffff8104b4dd>] ? wait_consider_task+0x60d/0x9ba                    
 [<ffffffff8105cbc8>] ? remove_wait_queue+0x35/0x41                       
 [<ffffffff8122c6f2>] tty_release+0x1e/0x29                               
 [<ffffffff810d608c>] __fput+0xf9/0x1a0                                   
 [<ffffffff810d614d>] fput+0x1a/0x1c                                      
 [<ffffffff810d348d>] filp_close+0x68/0x72                                
 [<ffffffff810d3543>] sys_close+0xac/0xea                                 
 [<ffffffff8101133a>] system_call_fastpath+0x16/0x1b 


Version-Release number of selected component (if applicable):
kernel-2.6.29.5-191.fc11.x86_64
Comment 1 Bug Zapper 2010-04-27 11:35:03 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-06-28 09:32:55 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.